#
# Conditonal build:
%bcond_without	static_libs	# static library
#
Summary:	A C++ client library for the CMIS interface
Summary(pl.UTF-8):     Biblioteka klienta C++ dla inferfejsu CMIS
Name:		libcmis
Version:	0.6.2
Release:	3
License:	GPL v2+ or LGPL v2+ or MPL v1.1
Group:		Libraries
#Source0Download: https://github.com/tdf/libcmis/releases
Source0:	https://github.com/tdf/libcmis/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	61616df853bff53d0044a755b86f288c
URL:		https://github.com/tdf/libcmis
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	boost-devel >= 1.36
BuildRequires:	cppunit-devel >= 1.12
BuildRequires:	curl-devel >= 7.12.3
BuildRequires:	docbook2X >= 0.8.8-4
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	curl-libs >= 7.12.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibCMIS is a C++ client library for the CMIS interface. This allows
C++ applications to connect to any ECM behaving as a CMIS server like
Alfresco, Nuxeo for the open source ones.

%description -l pl.UTF-8
LibCMIS to biblioteka klienta C++ dla interfejsu CMIS. Pozwala ona 
aplikacjom C++ na łączenie się z każdym ECM zachowującym się jako
serwer CMIS, taki jak Alfresco, Nuxeo (biorąc pod uwagę implementacje
o otwartych źródłach).

%package devel
Summary:	Development files for CMIS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki CMIS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	boost-devel >= 1.36
Requires:	curl-devel >= 7.12.3
Requires:	libstdc++-devel
Requires:	libxml2-devel >= 2.0

%description devel
This package contains the header files for developing applications
that use CMIS library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji opartych na
bibliotece CMIS

%package static
Summary:	Static CMIS library
Summary(pl.UTF-8):	Statyczna biblioteka CMIS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static CMIS library.

%description static -l pl.UTF-8
Statyczna biblioteka CMIS.

%package tools
Summary:	Command line tool to access CMIS
Summary(pl.UTF-8):	Narzędzie wiersza poleceń dla CMIS
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
This package contains a tool for accessing CMIS from the command line.

%description tools -l pl.UTF-8
Ten pakiet zawiera narzędzie do łączenia się do CMIS z wiersza
poleceń.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	DOCBOOK2MAN=/usr/bin/docbook2X2man \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	--disable-tests \
	--disable-werror

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_libdir}/libcmis-0.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcmis-0.6.so.6
%attr(755,root,root) %{_libdir}/libcmis-c-0.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcmis-c-0.6.so.6

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcmis-0.6.so
%attr(755,root,root) %{_libdir}/libcmis-c-0.6.so
%{_includedir}/libcmis-0.6
%{_includedir}/libcmis-c-0.6
%{_pkgconfigdir}/libcmis-0.6.pc
%{_pkgconfigdir}/libcmis-c-0.6.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcmis-0.6.a
%{_libdir}/libcmis-c-0.6.a
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cmis-client
%{_mandir}/man1/cmis-client.1*
%changelog
* Sat Jul 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcmis.git;a=log;h=master

* Sat Jul 12 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> a952b71
- Release 3 (by relup.sh)

* Tue Dec 24 2024 Jan Rękorajski <baggins@pld-linux.org> 8a3af60
- boost 1.85 rebuild

* Wed Aug 28 2024 Jakub Bogusz <qboosh@pld-linux.org> 64347c2
- updated to 0.6.2 (new library release in names)

* Fri Jun 30 2023 Jan Palus <atler@pld-linux.org> 2b566de
- boost rebuild

* Fri Feb 17 2023 Jan Palus <atler@pld-linux.org> 024f9fc
- boost rebuild

* Fri Jun 03 2022 Jan Palus <atler@pld-linux.org> 7ce522e
- boost rebuild

* Sat Jan 15 2022 Jan Palus <atler@pld-linux.org> 38430e4
- boost rebuild

* Mon Aug 09 2021 Jan Palus <atler@pld-linux.org> 378f690
- boost rebuild

* Tue Jul 28 2020 Jan Palus <atler@pld-linux.org> b5afa50
- boost 1.73 rebuild
- release 4 (by relup.sh)

* Mon Oct 07 2019 Jan Rękorajski <baggins@pld-linux.org> dcb53d3
- rebuild with boost 1.71
- release 3 (by relup.sh)

* Mon Apr 15 2019 Jan Rękorajski <baggins@pld-linux.org> af48726
- icu/boost rebuild
- release 2 (by relup.sh)

* Sun Dec 30 2018 Jakub Bogusz <qboosh@pld-linux.org> 007975b
- updated to 0.5.2

* Sun Apr 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 92c1b0c
- release 2 (rebuild with boost 1.63)

* Tue May 17 2016 Jakub Bogusz <qboosh@pld-linux.org> 3672712
- updated to 0.5.1
- removed obsolete boost-gcc patch

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> 055ad69
- icu-57.1 rebuild
- release 8 (by relup.sh)

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> 106c086
- release 7 (by relup.sh)

* Mon Sep 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ac005b6
- rel 6; fix boost detection with gcc 5.2

* Mon Sep 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a731a43
- release 5 (by relup.sh)

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 91d8c5c
- release 4 (by relup.sh)

* Fri Jun 05 2015 Łukasz Kieś <kiesiu@pld-linux.org> e17e399
- rebuild with boost 1.58
- release 3 (by relup.sh)

